;(function ($) {
    $(function () {
        var editors = document.getElementsByClassName("my-cookie_editor")
        Array.prototype.forEach.call(editors, (editor) => {
            wp.codeEditor.initialize(editor, cm_settings)
        })
        $(".my-cookie_colorpicker").wpColorPicker()
    })
})(jQuery)

if (document.getElementById("delay_consent") !== null) {
    document
        .getElementById("delay_consent")
        .addEventListener("change", function () {
            document.querySelectorAll(".delay_consent").forEach((element) => {
                element.classList.remove("active")
                if (element.getAttribute("data-value") == this.value) {
                    element.classList.add("active")
                }
            })
        })
}

function resetScriptsSettings(info) {
    document
        .querySelectorAll("#my-cookie_scripts-table textarea")
        .forEach((input) => {
            if (!input.hasAttribute("data-default")) false
            input.classList.add("flash")
            setTimeout(() => input.classList.remove("flash"), 150)
            input.value = input.getAttribute("data-default")
        })
    document.getElementById("my-cookie_scripts-reset").innerHTML = info
}

function resetDesignSettings(info) {
    document
        .querySelectorAll(".my-cookie_design-settings-input")
        .forEach((input) => {
            input.classList.add("flash")
            setTimeout(() => input.classList.remove("flash"), 150)
            input.value = ""
        })
    document
        .querySelectorAll(".wp-color-result")
        .forEach((input) => (input.style.backgroundColor = "transparent"))
    document.getElementById("my-cookie_design-reset").innerHTML = info
}

function resetContentSettings(info) {
    document
        .querySelectorAll(".my-cookie_content-settings-input")
        .forEach((input) => {
            if (!input.hasAttribute("data-default")) return
            input.classList.add("flash")
            setTimeout(() => input.classList.remove("flash"), 150)
            input.value = input.getAttribute("data-default")
        })
    document.getElementById("my-cookie_content-reset").innerHTML = info
}

const content_btn = document.getElementById("my-cookie_content-reset")
const design_btn = document.getElementById("my-cookie_design-reset")
const scripts_btn = document.getElementById("my-cookie_scripts-reset")

if (content_btn) {
    content_btn.addEventListener("click", () => {
        resetContentSettings(content_btn.getAttribute("data-value"))
    })
}
if (design_btn) {
    design_btn.addEventListener("click", () => {
        resetDesignSettings(design_btn.getAttribute("data-value"))
    })
}
if (scripts_btn) {
    scripts_btn.addEventListener("click", () => {
        resetScriptsSettings(scripts_btn.getAttribute("data-value"))
    })
}
